## [1.0.1] - 2020-07-14.

* 解决页面Provider继承自BaseProvider时onInit方法被调用两次的问题
* 分离onInit方法（组件初始化方法），新增onStart方法（BaseProvider新替代方法）

## [1.0.0] - 2020-07-13.

* 未向下兼容0.x版本，此版改动较大，widget组件包已迁移到vclinui库（目前还未上传到pub.dev仓库）
* 创建core包，采用引擎+组件方式展开开发库
* 添加配置、国际化、主题模块（扩展度相对较高）
* 添加VoidProvider类（用于创建展示页面或者无业务页面使用）
* 添加BaseApp类（使开发者能更快进入开发流程）
* 添加BaseTabNavigatorPage类（更快的创建首页及导航菜单）
* 简化SpUtils使用，全部修改为静态方法

## [0.7.0] - 2020-07-05.

* 优化BasePaging，解决一些网络请求失败引发的问题
* 优化Presenter，封装获取回调方式tap
* BaseState集成consumer、consumerType方法
* 优化注释，Author信息注释方式由///修改为//
* 移除BasePage，只保留BaseStatelessPage、BaseStatefulPage两个类
* 移除example例子

## [0.6.0] - 2020-06-17.

* 目录结构大变动：变更为集合包引入，关闭单dart文件引入(widget包除外)
* 添加LineWidget分隔线组件
* 添加NetImage网络图片组件
* StarScore组件构造方法补充一些常用默认值
* Avatar组件只允许加载网络图片，添加圆角头像类型参数

## [0.5.5] - 2020-06-14.

* PageResult添加获取列表数据数量字段itemCount、totalCount
* BasePaging添加刷新数据方法
* 添加禁用跟随系统字体缩放方法core.textScaleDisable
* BaseProvider添加update方法（简化注册时的代码，用于注册需要通知刷新的组件）

## [0.5.4] - 2020-06-07.

* 解决网络请求时设置header无效的问题
* 分离请求时的连接超时(初始化DefaultAdapter时设置)、发送接收超时(request时设置)的设置

## [0.5.3] - 2020-06-07.

* 公开NetRequest类的parser解析器变量
* 优化NetRequest：
  - request方法支持泛型传入dynamic(不指定泛型)、Map、List类型
  - 注意：Map、List不能指定其它泛型（例：List\<Data\>, Map\<String, Data\>）
* 添加HttpUtils工具类（简化请求数据时的便捷，不需要手动构建NetRequest即可使用）
* NetCache添加获取刷新列表缓存Header、不缓存Header静态方法
* 修改environment sdk为: ">=2.7.0 <3.0.0"

## [0.5.2] - 2020-06-03.

* 请求结果类添加httpStatus变量（用于获取Http状态码）
* 添加example目录（包含一些基本的使用例子）

## [0.5.1] - 2020-06-02.

* 添加WidgetUtils（组件相关工具类）
* BarUtils（解决之前设置状态栏图标风格时未把Android状态栏透明的问题）
* 几个MVVM的基类构造方法添加Key参数
* 之前空组件使用的Container()占位，现替换成WidgetUtils.empty()方法占位

## [0.5.0] - 2020-05-26.

* 调整MVVM的继承层次结构（定义Stateless和Stateful组件基类）
* 集成星星评分组件
* 解决core.load方法调用时未传入initMethod参数报错的问题
* 添加LoadingContainer组件（用于在界面数据未加载完成时显示）
* 添加头像显示组件
* 添加价格组件

## [0.4.0] - 2020-05-18.

* 添加BarUtils（获取栏相关的工具类）
* 添加BusUtils（全局事件工具类）
* 添加AppUtils（获取应用信息工具类）
* 添加ToastUtils，方便快捷使用Toast提示信息
* 结构化MVVM的代码（用于方便保存构建页面时的context对象）
* 集成package_info包，用于获取应用信息
* 集成fluttertoast包，用于显示Toast

## [0.3.0] - 2020-05-15.

* 添加国际化支持
* 添加sprintf库（处理国际化字符串变量注入）
* 优化NetRequest类，只保留request请求方法
* 解决无法设置网络缓存的问题（将缓存配置从options.extra迁移到header里）
* flutter format所有代码

## [0.2.1] - 2020-05-13.

* 组件主类load方法添加初始化方法（方便在应用页面实例化前初始化一些变量）

## [0.2.0] - 2020-05-12.

* 添加依赖注入模块
* 添加MVVM基础架构支持

## [0.1.0] - 2020-05-11.

* 添加全局屏幕适配功能
* 封装网络请求框架
* 添加本地持久存储工具类
* 添加获取手机相关目录工具类
