//
// @author vay
// @email hxhvay@126.com
// @date 2020-07-07
//

import 'package:flutter/material.dart';
import 'package:vaycore/modules.dart';

/// 国际化业务接口
class VCLocaleHolder extends IVCLocaleHolder<String> {
  @override
  Map<String, Map<String, String>> get localizedValues => {
        "zh": {"hello": "哈喽！vaycore!"},
        "en": {"hello": "hello vaycore!"},
      };

  @override
  List<Locale> get supportLocales => VCLocale.DEFAULT_SUPPORT_LOCALES;

  @override
  String get profileKey => "key_vc_locale";
}
