//
// @author vay
// @email hxhvay@126.com
// @date 2020-05-12
//

import 'package:vaycore/core.dart';
import 'package:vaycore/mvvm.dart';

/// BaseProvide
class BaseProvider extends VCComponent {
  /// 有状态页面的状态对象
  BaseState state;

  @override
  onInit() {}

  onStart() {}

  void onDispose() {}

  @override
  void dispose() {
    this.onDispose();
    this.state = null;
    super.dispose();
  }
}

/// 空Provider
class VoidProvider extends BaseProvider {}
