//
// @author vay
// @email hxhvay@126.com
// @date 2020-07-07
//

/// 网络请求日志配置
class HttpLogOptions {
  /// 请求地址显示
  final bool request;

  /// 请求头显示
  final bool requestHeader;

  /// 请求体显示
  final bool requestBody;

  /// 响应头显示
  final bool responseHeader;

  /// 响应体显示
  final bool responseBody;

  /// 错误显示
  final bool error;

  /// 打印方式指定
  void Function(Object object) logPrint;

  HttpLogOptions({
    this.request = false,
    this.requestHeader = true,
    this.requestBody = true,
    this.responseHeader = false,
    this.responseBody = true,
    this.error = true,
    this.logPrint = print,
  });
}
